<?php
/**
 * @category   Alogic
 * @package    Alogic_CustomerSurvery
 * @author     dushyanta.joshi@gmail.com
 * @copyright  This file was generated by using Module Creator(http://code.vky.co.in/magento-2-module-creator/) provided by VKY <viky.031290@gmail.com>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

namespace Alogic\CustomerSurvery\Controller\Index;

use Magento\Framework\App\Action\Context;
use Alogic\CustomerSurvery\Model\CustomerSurveryFactory;

class Save extends \Magento\Framework\App\Action\Action
{
	/**
     * @var CustomerSurvery
     */
    protected $_customersurvery;
    protected $countryFactory;

    public function __construct(
		Context $context,
        CustomerSurveryFactory $customersurvery,
        \Magento\Directory\Model\CountryFactory $countryFactory
    ) {
        $this->_customersurvery = $customersurvery;
        $this->_countryFactory = $countryFactory;
        parent::__construct($context);
    }
    public function getCountryname($countryCode){    
        $country = $this->_countryFactory->create()->loadByCode($countryCode);
        return $country->getName();
    }

	public function execute()
    {
        $data = $this->getRequest()->getParams();
     /*   echo "<pre>";
                print_r($data);
                die();*/
        $data['country'] = $countryName = $this->getCountryname($data['country']);
    	$customersurvery = $this->_customersurvery->create();
        $customersurvery->setData($data);
        try{
            $customersurvery->save();
            $this->messageManager->addSuccessMessage('WE ARE THRILLED TO HEAR FROM YOU!');
            $this->messageManager->addSuccessMessage('Thanks for your submission. We are processing your entry and will respond promptly.');
        }catch (\Magento\Framework\Exception\AlreadyExistsException $e) {

            $message = 'A customer with the same email/phone already.';
                $this->messageManager->addError($message);
        }catch (\Exception $e) {
            $this->messageManager->addError('Something went wrong while saving data. Please try again.');
        }
        $resultRedirect = $this->resultRedirectFactory->create();
        $resultRedirect->setPath('visitorform');
        return $resultRedirect;
    }
}
